import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { Recipe } from '../../cookbook/type';
import { RecipeService } from '../recipe.service';
import { MatIconModule } from '@angular/material/icon';
import { MatButtonModule } from '@angular/material/button';
import { RouterLink } from '@angular/router';

@Component({
  selector: 'app-recipe',
  standalone: true,
  imports: [CommonModule, MatIconModule, MatButtonModule, RouterLink],
  templateUrl: './recipe.component.html',
})
export class RecipeComponent {
  recipe: Recipe = { id: -1, name: '', description: '', image: '', ingredients: [] };

  @Input()
  set id(id: string) {
    this.recipe = this.recipes.get(parseInt(id))!;
  }

  constructor(protected recipes: RecipeService) {
  }
}
