import { AfterViewInit, Component, ViewChild } from '@angular/core';
import { MatPaginator, MatPaginatorModule } from '@angular/material/paginator';
import { MatTableDataSource, MatTableModule } from '@angular/material/table';
import { RouterLink } from '@angular/router';
import { Recipe } from '../../cookbook/type';
import { RecipeService } from '../recipe.service';

@Component({
  selector: 'app-recipes',
  standalone: true,
  imports: [MatTableModule, MatPaginatorModule, RouterLink],
  templateUrl: './recipes.component.html',
})
export class RecipesComponent implements AfterViewInit {
  displayedColumns: string[] = ['id', 'name', 'description', 'image'];
  dataSource = new MatTableDataSource<Recipe>();

  constructor(protected recipes: RecipeService) {
    this.dataSource = new MatTableDataSource<Recipe>(recipes.getAll());
  }

  @ViewChild(MatPaginator)
  paginator!: MatPaginator;

  ngAfterViewInit() {
    this.dataSource.paginator = this.paginator;
  }
}
